Record an agent decision
Record a human reviewer’s final verdict for content that SafetyKit has previously reviewed. This feedback lets SafetyKit measure and improve automated decisions over time. Each request provides feedback for one content object and one policy category. If a content object is reviewed for multiple policy categories, send one request per policy category.
Body ParametersJSON
The content type configured for your account’s feedback integration. Use the exact value provided by SafetyKit; arbitrary data namespace names are not accepted.
The human reviewer’s verdict for the policy category. Accepted values depend on the content type configured for your account; use the verdict values provided by SafetyKit.
The SafetyKit policy category ID that was evaluated, as configured for your account
Optional correct enforcement action for this content, such as ‘reduce_visibility’ or ‘unpublish’
Record an agent decision
curl https://api.safetykit.com/v1/agent_decisions \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $SAFETYKIT_API_KEY" \
-d '{
"content_type": "<CONTENT_TYPE>",
"decision": "<DECISION>",
"policy_id": "<POLICY_ID>",
"reference_id": "listing_12345"
}'{
"safetykitCorrect": true
}Returns Examples
{
"safetykitCorrect": true
}